/*
 * application.C
 *
 * The main 'global' body of the application.
 *
 * Vincent Mallet, mars 1997, 1999
 */

// $Id: application.H,v 1.2 1999/04/20 21:49:05 vmallet Exp $

/* ViMmail - a small mail reader
 * Copyright (C) 1997, 1999 Vincent Mallet - vmallet@enst.fr
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */



#ifndef __H_APPLICATION__
#define __H_APPLICATION__

#include "vimmail.H"

#include "interface.H"
#include "message_file.H"
#include "config.H"
#include "configmotif.H"


#define CURRENT  -69



class Application {
public:
  ConfigMotif    config;
  Interface      interface;

  void make(int argc, char **argv);

  void start_app(void);
  void end_app(void);
  void reconfigure(void);
  void new_message_file(char *name);

  void clear_message_window(void); // nettoie la fenetre de texte du message

  void set_active_message_file(int index);
  void set_active_message(int index);

  void save_message(int index = CURRENT);
  void print_message(int index = CURRENT);

  void rescan_message_file(int index = CURRENT);
  void rescan_all_message_files(void);

private:
  Message_File * mbox[VM_MAXFILES];
  int            nb_files;
  int            _cursor;

  static void checkfiles_timer_handler(XtPointer client_data, XtIntervalId *Id);

  void check_files(void);
  void set_checkfiles_timer(void);
}; // class Application




#endif // __H_APPLICATION__
