/*
 * configmotif.H
 *
 * Motif interface for the "Config" class
 *
 * Vincent Mallet 1997, 1999
 */

// $Id: configmotif.H,v 1.2 1999/04/20 21:52:31 vmallet Exp $

/* ViMmail - a small mail reader
 * Copyright (C) 1997, 1999 Vincent Mallet - vmallet@enst.fr
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#ifndef __H_CONFIGMOTIF__
#define __H_CONFIGMOTIF__

class ConfigMotif : public Config {
public:
  Widget     widget;

  inline ConfigMotif(void) : widget(0) {}

  void make(Widget parent);
  
  void prompt_config(void);


private:
  Widget     parent;

  Widget     b1, b2, b3, b4, b5;
  Widget     t1, t2, t3, t4;
  Widget     p1, p2, p3;
  
  void create_dialog(void);
  void set_dialog_values(void);
  void update_config(void);

  static void ok_cb(Widget w, XtPointer client_data, XtPointer cbs);
  static void cancel_cb(Widget w, XtPointer client_data, XtPointer cbs);
  static void default_cb(Widget w, XtPointer client_data, XtPointer cbs);
  static void checknum_cb(Widget w, XtPointer client_data, XtPointer tvcbs);

}; // class ConfigMotif




#endif // __H_CONFIGMOTIF__
