/*
 * mailarea.H
 *
 * The mail-area (a colorized textarea). Hard!
 *
 * Vincent Mallet 1997, 1999
 */

// $Id: mailarea.H,v 1.2 1999/04/20 22:00:28 vmallet Exp $

/* ViMmail - a small mail reader
 * Copyright (C) 1997, 1999 Vincent Mallet - vmallet@enst.fr
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __H_MAILAREA__
#define __H_MAILAREA__


class MailArea {
public:
  Widget widget;

  MailArea(void);               // Constructor

  void make(Widget parent);     // Actually create this mailarea

  void set_rightbutton_callback(XtCallbackProc proc, XtPointer client_data);
  
  void nice_cursor(int shape);  // change cursor shape

  void set_config(char *header, 
		  char *header_high, 
		  char *quote, 
		  char *text, 
		  int tabs);    // Configure this mailarea

  void set_text(char *text);    // sets the text for this mailarea

private:
  GC             gc;
  Display       *dpy;
  Pixmap         pix;

  Widget         draw;
  Widget         vsb;
  Widget         hsb;

  XtCallbackProc callback_proc;
  XtPointer      callback_data;
 
  unsigned long  header_color;
  unsigned long  header_high_color;
  unsigned long  text_color;
  unsigned long  quote_color;

  int            tab_expand;

  struct Pligne *plignes;
  char          *buffer;

  int            nblignes, nbcols, curligne, curcol;

  int            line_height;
  Dimension      draw_width, draw_height;
  int            draw_nblines;


  void get_GC(Display *display, GC *gc);
  void cree_pixmap(char *text);
  void configure(void);
  void redraw(void);
  void redraw2(void);
  void store_text(char *text);

  static void draw_size_cb(Widget w, XtPointer client_data, XtPointer cbs);
  static void draw_exp_cb(Widget w, XtPointer client_data, XtPointer cbs);
  static void scroll_cb(Widget w, XtPointer client_data, XtPointer cbs);
  static void button_cb(Widget w, XtPointer client_data, XEvent *event, char *z);
};








#endif // __H_MAILAREA__
